## UIM Read Transparent request UIM Read Transparent request |

## Functions

QmiMessageUimReadTransparentInput * | qmi_message_uim_read_transparent_input_new ()
QmiMessageUimReadTransparentInput * | qmi_message_uim_read_transparent_input_ref ()
void | qmi_message_uim_read_transparent_input_unref ()
gboolean | qmi_message_uim_read_transparent_input_get_encrypt_data ()
gboolean | qmi_message_uim_read_transparent_input_set_encrypt_data ()
gboolean | qmi_message_uim_read_transparent_input_get_response_in_indication_token ()
gboolean | qmi_message_uim_read_transparent_input_set_response_in_indication_token ()
gboolean | qmi_message_uim_read_transparent_input_get_read_information ()
gboolean | qmi_message_uim_read_transparent_input_set_read_information ()
gboolean | qmi_message_uim_read_transparent_input_get_file ()
gboolean | qmi_message_uim_read_transparent_input_set_file ()
gboolean | qmi_message_uim_read_transparent_input_get_session ()
gboolean | qmi_message_uim_read_transparent_input_set_session ()
QmiMessageUimReadTransparentOutput * | qmi_message_uim_read_transparent_output_ref ()
void | qmi_message_uim_read_transparent_output_unref ()
gboolean | qmi_message_uim_read_transparent_output_get_card_result ()
gboolean | qmi_message_uim_read_transparent_output_get_result ()
gboolean | qmi_message_uim_read_transparent_output_get_read_result ()
gboolean | qmi_message_uim_read_transparent_output_get_response_in_indication_token ()
gboolean | qmi_message_uim_read_transparent_output_get_encrypted_data ()
void | qmi_client_uim_read_transparent ()
QmiMessageUimReadTransparentOutput * | qmi_client_uim_read_transparent_finish ()

## Types and Values

| QmiMessageUimReadTransparentInput
| QmiMessageUimReadTransparentOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageUimReadTransparentInput
        ╰── QmiMessageUimReadTransparentOutput

## Description

## Functions

### qmi_message_uim_read_transparent_input_new ()

    QmiMessageUimReadTransparentInput *
    qmi_message_uim_read_transparent_input_new
                                   (void);

Allocates a new QmiMessageUimReadTransparentInput.

#### Returns

the newly created QmiMessageUimReadTransparentInput. The returned value should be freed with `qmi_message_uim_read_transparent_input_unref()`.

Since: 1.6

### qmi_message_uim_read_transparent_input_ref ()

    QmiMessageUimReadTransparentInput *
    qmi_message_uim_read_transparent_input_ref
                                   (QmiMessageUimReadTransparentInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimReadTransparentInput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_uim_read_transparent_input_unref ()

    void
    qmi_message_uim_read_transparent_input_unref
                                   (QmiMessageUimReadTransparentInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimReadTransparentInput. |

Since: 1.6

### qmi_message_uim_read_transparent_input_get_encrypt_data ()

    gboolean
    qmi_message_uim_read_transparent_input_get_encrypt_data
                                   (QmiMessageUimReadTransparentInput *self,
                                    gboolean *value_encrypt_data,
                                    GError **error);

Get the 'Encrypt Data' field from `self` .

#### Parameters

self | a QmiMessageUimReadTransparentInput. |
value_encrypt_data | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_transparent_input_set_encrypt_data ()

    gboolean
    qmi_message_uim_read_transparent_input_set_encrypt_data
                                   (QmiMessageUimReadTransparentInput *self,
                                    gboolean value_encrypt_data,
                                    GError **error);

Set the 'Encrypt Data' field in the message.

#### Parameters

self | a QmiMessageUimReadTransparentInput. |
value_encrypt_data | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_transparent_input_get_response_in_indication_token ()

    gboolean
    qmi_message_uim_read_transparent_input_get_response_in_indication_token
                                   (QmiMessageUimReadTransparentInput *self,
                                    guint32 *value_response_in_indication_token,
                                    GError **error);

Get the 'Response In Indication Token' field from `self` .

#### Parameters

self | a QmiMessageUimReadTransparentInput. |
value_response_in_indication_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_transparent_input_set_response_in_indication_token ()

    gboolean
    qmi_message_uim_read_transparent_input_set_response_in_indication_token
                                   (QmiMessageUimReadTransparentInput *self,
                                    guint32 value_response_in_indication_token,
                                    GError **error);

Set the 'Response In Indication Token' field in the message.

#### Parameters

self | a QmiMessageUimReadTransparentInput. |
value_response_in_indication_token | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_transparent_input_get_read_information ()

    gboolean
    qmi_message_uim_read_transparent_input_get_read_information
                                   (QmiMessageUimReadTransparentInput *self,
                                    guint16 *value_read_information_offset,
                                    guint16 *value_read_information_length,
                                    GError **error);

Get the 'Read Information' field from `self` .

#### Parameters

self | a QmiMessageUimReadTransparentInput. |
value_read_information_offset | a placeholder for the output guint16, or `NULL` if not required. |
value_read_information_length | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_transparent_input_set_read_information ()

    gboolean
    qmi_message_uim_read_transparent_input_set_read_information
                                   (QmiMessageUimReadTransparentInput *self,
                                    guint16 value_read_information_offset,
                                    guint16 value_read_information_length,
                                    GError **error);

Set the 'Read Information' field in the message.

#### Parameters

self | a QmiMessageUimReadTransparentInput. |
value_read_information_offset | a guint16. |
value_read_information_length | a guint16. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_transparent_input_get_file ()

    gboolean
    qmi_message_uim_read_transparent_input_get_file
                                   (QmiMessageUimReadTransparentInput *self,
                                    guint16 *value_file_file_id,
                                    GArray **value_file_file_path,
                                    GError **error);

Get the 'File' field from `self` .

#### Parameters

self | a QmiMessageUimReadTransparentInput. |
value_file_file_id | a placeholder for the output guint16, or `NULL` if not required. |
value_file_file_path | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_transparent_input_set_file ()

    gboolean
    qmi_message_uim_read_transparent_input_set_file
                                   (QmiMessageUimReadTransparentInput *self,
                                    guint16 value_file_file_id,
                                    GArray *value_file_file_path,
                                    GError **error);

Set the 'File' field in the message.

#### Parameters

self | a QmiMessageUimReadTransparentInput. |
value_file_file_id | a guint16. |
value_file_file_path | a GArray of guint8 elements. A new reference to `value_file_file_path` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_transparent_input_get_session ()

    gboolean
    qmi_message_uim_read_transparent_input_get_session
                                   (QmiMessageUimReadTransparentInput *self,
                                    QmiUimSessionType *value_session_session_type,
                                    GArray **value_session_application_identifier,
                                    GError **error);

Get the 'Session' field from `self` .

#### Parameters

self | a QmiMessageUimReadTransparentInput. |
value_session_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_application_identifier | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_transparent_input_set_session ()

    gboolean
    qmi_message_uim_read_transparent_input_set_session
                                   (QmiMessageUimReadTransparentInput *self,
                                    QmiUimSessionType value_session_session_type,
                                    GArray *value_session_application_identifier,
                                    GError **error);

Set the 'Session' field in the message.

#### Parameters

self | a QmiMessageUimReadTransparentInput. |
value_session_session_type | a QmiUimSessionType. |
value_session_application_identifier | a GArray of guint8 elements. A new reference to `value_session_application_identifier` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_transparent_output_ref ()

    QmiMessageUimReadTransparentOutput *
    qmi_message_uim_read_transparent_output_ref
                                   (QmiMessageUimReadTransparentOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimReadTransparentOutput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_uim_read_transparent_output_unref ()

    void
    qmi_message_uim_read_transparent_output_unref
                                   (QmiMessageUimReadTransparentOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimReadTransparentOutput. |

Since: 1.6

### qmi_message_uim_read_transparent_output_get_card_result ()

    gboolean
    qmi_message_uim_read_transparent_output_get_card_result
                                   (QmiMessageUimReadTransparentOutput *self,
                                    guint8 *value_card_result_sw1,
                                    guint8 *value_card_result_sw2,
                                    GError **error);

Get the 'Card result' field from `self` .

#### Parameters

self | a QmiMessageUimReadTransparentOutput. |
value_card_result_sw1 | a placeholder for the output guint8, or `NULL` if not required. |
value_card_result_sw2 | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_transparent_output_get_result ()

    gboolean
    qmi_message_uim_read_transparent_output_get_result
                                   (QmiMessageUimReadTransparentOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimReadTransparentOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.6

### qmi_message_uim_read_transparent_output_get_read_result ()

    gboolean
    qmi_message_uim_read_transparent_output_get_read_result
                                   (QmiMessageUimReadTransparentOutput *self,
                                    GArray **value_read_result,
                                    GError **error);

Get the 'Read result' field from `self` .

#### Parameters

self | a QmiMessageUimReadTransparentOutput. |
value_read_result | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_transparent_output_get_response_in_indication_token ()

    gboolean
    qmi_message_uim_read_transparent_output_get_response_in_indication_token
                                   (QmiMessageUimReadTransparentOutput *self,
                                    guint32 *value_response_in_indication_token,
                                    GError **error);

Get the 'Response In Indication Token' field from `self` .

#### Parameters

self | a QmiMessageUimReadTransparentOutput. |
value_response_in_indication_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_transparent_output_get_encrypted_data ()

    gboolean
    qmi_message_uim_read_transparent_output_get_encrypted_data
                                   (QmiMessageUimReadTransparentOutput *self,
                                    gboolean *value_encrypted_data,
                                    GError **error);

Get the 'Encrypted Data' field from `self` .

#### Parameters

self | a QmiMessageUimReadTransparentOutput. |
value_encrypted_data | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_client_uim_read_transparent ()

    void
    qmi_client_uim_read_transparent (QmiClientUim *self,
                                     QmiMessageUimReadTransparentInput *input,
                                     guint timeout,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously sends a Read Transparent request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_read_transparent_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
input | a QmiMessageUimReadTransparentInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.6

### qmi_client_uim_read_transparent_finish ()

    QmiMessageUimReadTransparentOutput *
    qmi_client_uim_read_transparent_finish
                                   (QmiClientUim *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_uim_read_transparent()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_read_transparent()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimReadTransparentOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_read_transparent_output_unref()`.

Since: 1.6

## Types and Values

### QmiMessageUimReadTransparentInput

    typedef struct _QmiMessageUimReadTransparentInput QmiMessageUimReadTransparentInput;

The QmiMessageUimReadTransparentInput structure contains private data and should only be accessed using the provided API.

Since: 1.6

### QmiMessageUimReadTransparentOutput

    typedef struct _QmiMessageUimReadTransparentOutput QmiMessageUimReadTransparentOutput;

The QmiMessageUimReadTransparentOutput structure contains private data and should only be accessed using the provided API.

Since: 1.6